Subject: bug#37700: 27.0.50; undo mouse-drag-and-drop-region ineffective

From: Eli Zaretskii <[email-masked]>
Date: Sat, 26 Oct 2019 13:15:55 +0300

> From: Mattias Engdegård <[email-masked]>
> Date: Wed, 16 Oct 2019 17:27:05 +0200
> Cc: [email-masked], [email-masked],
>         [email-masked]
> 
> After trying various approaches, the attached patch looks somewhat promising. It adds a new element type to buffer-undo-list, `unconfined', which disables selective undo for one record. Consider it a proof-of-concept.
> 
> While it has the advantage of not requiring the user to change any settings, I still prefer the first approach (an option to disable undo confinement), as it's less intrusive and more generally useful. However, this should work as well.

Thanks.  I don't consider myself an expert on undo, but the patch
looks reasonable to me.  I think we should describe this new element
in the ELisp manual, but other than that, I think it can go in.

Stefan, any comments?